body{
    display: grid;
    place-items: center;    
}

.container{
    --degree:90;  
    perspective-origin: center center;
    perspective: 2000em;
    transform-style: preserve-3d;
    /* overflow: hidden; */

    .faces
    {
        width: 480px;
        height: 640px;
        position: relative;
        transform-style: preserve-3d;
        transition: transform 1s;
        transform: rotateY(var(--degree));
    }

    .faces > div{
        position: absolute;
        top: 0px;
        left: 0px;
        right: 0px;
        bottom: 0px;
        /* opacity: .5; */
        transform-style: preserve-3d;
        background-size: cover;
        background-position: center center;
    }

    .front{
        /* background-color: skyblue; */
        transform: translateZ(240px);
        background-image: url("https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885_1280.jpg"); 
        
    }
    .left{
        /* background-color: red; */
        transform: translateX(-50%) rotateY(90deg);
        background-image: url("https://img.freepik.com/free-photo/dramatic-white-clouds-blue-sky-from-airplane-window-view-colorful-sunset-cloudscape-background_90220-1208.jpg");
        
    }
    .right{
        /* background-color: lawngreen; */
        transform:  translateX(50%) rotateY(90deg);
        background-image: url("https://media.istockphoto.com/id/1433211776/photo/woman-silhouette-in-front-of-the-ocean-at-sunset.webp?b=1&s=170667a&w=0&k=20&c=xGzw_4wTjK0uKJLS42lR7xPsD7tGRTrx-mWBl0ylih4=")
    }
    .back{
        /* background-color: orange; */
        transform: translateZ(-240px);
        background-image: url("https://img.freepik.com/premium-photo/dark-blue-sunset-sky-panorama-with-pink-cumulus-clouds-seamless-hdr-360-panorama-spherical-equir_960782-12389.jpg");
    }

    
    
}

.panel{
    margin-top: 30px;
    display: flex;
    justify-content: space-between;
}
